package cn.com.ctop.kuaishou.modules.graphql.service;

import cn.com.ctop.common.module.entity.BindAccountLogin;

import java.io.IOException;
import java.util.Map;

public interface IKuaishouWebInterfaceService {
    void getVideoList(String uid) throws IOException;

    String checkKuaishouUser(String videoUrl);

    void adkuaishouWebLogin(String phone, String password) throws IOException;

    void deleteAllComment(Map<String, String> pcursorMap);
    void deleteAllComment(Map<String,String>pcursorMap,BindAccountLogin login);

    String qrLogin(String taskId) throws Exception;

    Map<String, Object> loginStatus(String taskId);

    Map<String, Object> commentDelete(String userId, String ksid, String photoId, Long commentId);

    Map<String, Object> videoList(String userId, String ksid, String pcursor);

    Map<String, Object> commentList(String userId, String ksid, String photoId, String pcursor);

    Map<String, Object> commentAdd(String userId, String ksid, String photoId, String content, Long replyToCommentId, Long replyTo);

    void getkuaishouWebLoginCookie(BindAccountLogin login);

    void sendPreview(Integer creativeId, String kwid);

    void adekuaishouWebLogin(String phone, String password) throws IOException;
    Map<String, Object> subCommentList(String userId, String ksid, String photoId, Long rootCommentId, String pcursor);
}
